%bcond_without check

%global goipath         github.com/rootless-containers/rootlesskit
Version:                1.0.1

%gometa

%global common_description %{expand:
Linux-native "fake root" for implementing rootless containers.}

%global golicenses      LICENSE
%global godocs          docs README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Linux-native "fake root" for implementing rootless containers

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz
Patch0:         Disable-vpnkit.patch

%description %{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}
%patch -P0 -p1
rm -rfv pkg/network/vpnkit

%generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d pkg/port/builtin
%endif

%files
%license LICENSE
%doc docs README.md
%{_bindir}/rootlessctl
%{_bindir}/rootlesskit-docker-proxy
%{_bindir}/rootlesskit

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
